<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryLightMulti.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryLightMulti_8cpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryLightMulti.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**********************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Accessories&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Class for a light, flashing or not, with optional fading&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">***********************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="Accessories_8h.html">Accessories.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;AccessoryLightMulti.hpp&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifndef NO_LIGHT</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#adc4e714b7f01c4e52fd9c43b019508c4">   12</a></span>&#160;<a class="code" href="classAccessoryLightMulti.html#adc4e714b7f01c4e52fd9c43b019508c4">AccessoryLightMulti::AccessoryLightMulti</a>()</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;{</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    this-&gt;lightsSize = 0;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    this-&gt;pLights = NULL;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    this-&gt;pMovingPositionBlinks = NULL;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;}</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keywordtype">void</span> AccessoryLightMulti::CheckPort()<span class="keyword"> const</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword"></span>{</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="keywordflow">if</span> (this-&gt;pLights[i].<a class="code" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a>() == NULL)</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;            Serial.println(F(<span class="stringliteral">&quot;One light in a multilight accessory have no port !&quot;</span>));</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        }</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    }</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a2048a93d24ba8c9ebcec76943489ea91">   32</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a2048a93d24ba8c9ebcec76943489ea91">AccessoryLightMulti::begin</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, uint8_t inSize, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inBlinkDuration)</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;{</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    this-&gt;lightsSize = inSize;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    this-&gt;pLights = <span class="keyword">new</span> <a class="code" href="classAccessoryBaseLight.html">AccessoryBaseLight</a>[inSize];</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    this-&gt;<a class="code" href="classAccessory.html#a6e68b4693371383dfb026869af30d1d2">SetDuration</a>(inBlinkDuration);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; inSize; i++)</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        this-&gt;pLights[i].pOwner = <span class="keyword">this</span>;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <span class="comment">// This is the default value for the blinking delay, which can be overwriten by individual SetBlinking()</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="comment">// on a particular light.</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        this-&gt;pLights[i].<a class="code" href="classAccessoryBaseLight.html#acce625a2eff7f353f1eec68a05177ac0">SetBlinking</a>(inBlinkDuration);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    }</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    this-&gt;pMovingPositionBlinks = NULL;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a4858bce0c40dcd22c889260fe3aef472">   50</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a4858bce0c40dcd22c889260fe3aef472">AccessoryLightMulti::AdjustMovingPositionBlinksSize</a>(uint8_t inNewSize)</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;{</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">if</span> (this-&gt;pMovingPositionBlinks == NULL || inNewSize &gt; this-&gt;<a class="code" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a>())</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    {</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keywordtype">int</span> i;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="keywordtype">int</span> *pNewMovingPositionBlinks = <span class="keyword">new</span> <span class="keywordtype">int</span>[inNewSize];</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <span class="keywordflow">for</span> (i = 0; i &lt; this-&gt;<a class="code" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a>(); i++)</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            pNewMovingPositionBlinks[i] = this-&gt;pMovingPositionBlinks[i];</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="keywordflow">for</span> (; i &lt; inNewSize; i++)</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            pNewMovingPositionBlinks[i] = 0;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keywordflow">if</span> (this-&gt;pMovingPositionBlinks != NULL)</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            <span class="keyword">delete</span>[] this-&gt;pMovingPositionBlinks;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        this-&gt;pMovingPositionBlinks = pNewMovingPositionBlinks;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    }</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;}</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a9cb4fc1241f7554a65ac7f5200d64a06">   66</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code" href="classAccessoryLightMulti.html#a9cb4fc1241f7554a65ac7f5200d64a06">AccessoryLightMulti::AddMovingPosition</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inIdMin, <span class="keywordtype">int</span> inOnMask, <span class="keywordtype">int</span> inBlinkMask)</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;{</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    this-&gt;<a class="code" href="classAccessoryLightMulti.html#a4858bce0c40dcd22c889260fe3aef472">AdjustMovingPositionBlinksSize</a>(this-&gt;<a class="code" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a>()+1);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> pos = <a class="code" href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">Accessory::AddMovingPosition</a>(inIdMin, inOnMask);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    this-&gt;pMovingPositionBlinks[pos] = inBlinkMask;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keywordflow">return</span> pos;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;}</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a78bf5f84b109939af2c7c13cd51bd9d0">   75</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a78bf5f84b109939af2c7c13cd51bd9d0">AccessoryLightMulti::beginLight</a>(uint8_t inIndex, <a class="code" href="classPort.html">Port</a> *inpPort, <span class="keywordtype">int</span> inIntensity)</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;{</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    this-&gt;pLights[inIndex].<a class="code" href="classAccessoryBaseLight.html#a26c343fd849b47aea637ef7f34c3270a">begin</a>(inpPort, inIntensity, <span class="keyword">this</span>);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    this-&gt;<a class="code" href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">LightOff</a>(inIndex);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;}</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a625c85995aed27f770ebeaf470e4f3d5">   81</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a625c85995aed27f770ebeaf470e4f3d5">AccessoryLightMulti::LightOn</a>()</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;{</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        this-&gt;<a class="code" href="classAccessoryLightMulti.html#a625c85995aed27f770ebeaf470e4f3d5">LightOn</a>(i);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;}</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">   87</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">AccessoryLightMulti::LightOff</a>()</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;{</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        this-&gt;<a class="code" href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">LightOff</a>(i);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a8eca70cd9de57a113e4f05e19ff6f135">   93</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a8eca70cd9de57a113e4f05e19ff6f135">AccessoryLightMulti::Blink</a>()</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;{</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        this-&gt;<a class="code" href="classAccessoryLightMulti.html#a8eca70cd9de57a113e4f05e19ff6f135">Blink</a>(i);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;}</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="keywordtype">bool</span> AccessoryLightMulti::ActionEnded()</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;{</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordtype">bool</span> res = <span class="keyword">false</span>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        res |= this-&gt;ActionEnded(i);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="keywordflow">return</span> res;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;}</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;ACC_STATE AccessoryLightMulti::Toggle()</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;{</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    ACC_STATE localState = ACC_STATE::STATE_NONE;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        localState = this-&gt;Toggle(i);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordflow">return</span> localState;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;}</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="keywordtype">void</span> AccessoryLightMulti::Move(<span class="keywordtype">int</span> inPosition)</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;{</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordflow">if</span> (inPosition != -1)</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    {</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;            <span class="keywordflow">if</span> (inPosition &amp; (1 &lt;&lt; i))</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;                this-&gt;SetState(i, LIGHTON);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;            <span class="keywordflow">else</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;                this-&gt;SetState(i, LIGHTOFF);</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    }</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;}</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="keywordtype">void</span> AccessoryLightMulti::MoveBlink(<span class="keywordtype">int</span> inOnMask, <span class="keywordtype">int</span> inBlinkMask)</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;{</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordflow">if</span> (inOnMask != -1)</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    {</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        {</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            this-&gt;<a class="code" href="classAccessoryLightMulti.html#a4908ded538e80f4bcf00121abc530e02">SetBlinking</a>(i, 0);</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            <span class="keywordflow">if</span> (inOnMask &amp; (1 &lt;&lt; i))</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            {</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                <span class="keywordflow">if</span> (inBlinkMask &amp; (1 &lt;&lt; i))</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;                {</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;                    this-&gt;<a class="code" href="classAccessoryLightMulti.html#a4908ded538e80f4bcf00121abc530e02">SetBlinking</a>(i, this-&gt;<a class="code" href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">GetDuration</a>());</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                    this-&gt;SetState(i, LIGHTBLINK);</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;                }</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;                <span class="keywordflow">else</span></div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;                    this-&gt;SetState(i, LIGHTON);</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;            }</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;            <span class="keywordflow">else</span></div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;                this-&gt;SetState(i, LIGHTOFF);</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        }</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    }</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;}</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="keywordtype">void</span> AccessoryLightMulti::Move(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId)</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;{</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    <span class="keywordtype">int</span> positionIndex = this-&gt;<a class="code" href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">IndexOfMovingPosition</a>(inId);</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    <span class="keywordflow">if</span> (positionIndex != -1)</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    {</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        <span class="keywordtype">int</span> position = this-&gt;<a class="code" href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">GetMovingPosition</a>(inId);</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;        <span class="keywordflow">if</span> (this-&gt;pMovingPositionBlinks != NULL)</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;            MoveBlink(position, this-&gt;pMovingPositionBlinks[positionIndex]);</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;        <span class="keywordflow">else</span></div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;            Move(position);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    }</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    {</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            this-&gt;Toggle(i);</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    }</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;}</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#ac4176e67ab3b73ba0e497f0afd8d37c9">  172</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#ac4176e67ab3b73ba0e497f0afd8d37c9">AccessoryLightMulti::Event</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, ACCESSORIES_EVENT_TYPE inEvent, <span class="keywordtype">int</span> inData) </div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;{ </div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="keywordtype">int</span> positionIndex = -1;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;    <span class="keywordflow">if</span> (inEvent == ACCESSORIES_EVENT_MOVEPOSITIONID)</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        positionIndex = this-&gt;<a class="code" href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">IndexOfMovingPosition</a>(inId);</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    <span class="keywordflow">if</span> (inEvent == ACCESSORIES_EVENT_MOVEPOSITIONINDEX)</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        positionIndex = inData;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <span class="keywordflow">if</span> (positionIndex &gt; -1)</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    {</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;        this-&gt;<a class="code" href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">SetLastMovingPosition</a>(positionIndex);</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        this-&gt;MoveBlink(this-&gt;<a class="code" href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">GetMovingPositionByIndex</a>(positionIndex), this-&gt;pMovingPositionBlinks[positionIndex]);</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;        <span class="keywordflow">return</span>;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    }</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    this-&gt;pLights-&gt;<a class="code" href="classAccessoryBaseLight.html#accc565a1d92ad5f4fb05850f1390791b">Event</a>(inEvent, inData);</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;}</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;<span class="preprocessor">#ifndef NO_EEPROM</span></div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;<span class="keywordtype">int</span> AccessoryLightMulti::EEPROMSave(<span class="keywordtype">int</span> inPos, <span class="keywordtype">bool</span> inSimulate)</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;{</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;        inPos = this-&gt;pLights[i].EEPROMSave(inPos, inSimulate);</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <span class="keywordflow">return</span> inPos;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;}</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;<span class="keywordtype">int</span> AccessoryLightMulti::EEPROMLoad(<span class="keywordtype">int</span> inPos)</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;{</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;        inPos = this-&gt;pLights[i].EEPROMLoad(inPos);</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    <span class="keywordflow">return</span> inPos;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;}</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;<span class="keywordtype">void</span> AccessoryLightMulti::printAccessory()</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;{</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    Serial.println(F(<span class="stringliteral">&quot;    LightMulti&quot;</span>));</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    <span class="keywordflow">for</span> (uint8_t i = 0; i &lt; this-&gt;lightsSize; i++)</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    {</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;        Serial.print(F(<span class="stringliteral">&quot;         Light &quot;</span>));</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;        Serial.print(i);</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;        Serial.print(F(<span class="stringliteral">&quot; : &quot;</span>));</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;        this-&gt;pLights[i].printAccessory();</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    }</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    this-&gt;printMovingPositions();</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;}</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;<span class="keywordtype">void</span> AccessoryLightMulti::printMovingPositions()</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;{</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; this-&gt;<a class="code" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a>(); i++)</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    {</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;        Serial.print(F(<span class="stringliteral">&quot;         MovingPosition &quot;</span>));</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;        Serial.print(i);</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;        Serial.print(F(<span class="stringliteral">&quot;: id &quot;</span>));</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;        Serial.print(this-&gt;<a class="code" href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">GetMovingPositionIdByIndex</a>(i));</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;        Serial.print(F(<span class="stringliteral">&quot; / pos &quot;</span>));</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;        Serial.print(this-&gt;<a class="code" href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">GetMovingPositionByIndex</a>(i), BIN);</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;        Serial.print(F(<span class="stringliteral">&quot; / blink &quot;</span>));</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        Serial.println(this-&gt;pMovingPositionBlinks[i], BIN);</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    }</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;}</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classAccessory_html_a4f0410f39fa692494b51bc880714bdd1"><div class="ttname"><a href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">Accessory::GetMovingPositionIdByIndex</a></div><div class="ttdeci">unsigned long GetMovingPositionIdByIndex(int inIndex) const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00313">Accessory.hpp:313</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_accc565a1d92ad5f4fb05850f1390791b"><div class="ttname"><a href="classAccessoryBaseLight.html#accc565a1d92ad5f4fb05850f1390791b">AccessoryBaseLight::Event</a></div><div class="ttdeci">void Event(ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8cpp_source.html#l00120">AccessoryBaseLight.cpp:120</a></div></div>
<div class="ttc" id="classAccessory_html_a62eee418f630f805d36f6005e0db1a9e"><div class="ttname"><a href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">Accessory::GetMovingPositionByIndex</a></div><div class="ttdeci">int GetMovingPositionByIndex(int inIndex) const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00307">Accessory.hpp:307</a></div></div>
<div class="ttc" id="classAccessory_html_a5e837b6c4251c2fe69066d3146dd8478"><div class="ttname"><a href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">Accessory::SetLastMovingPosition</a></div><div class="ttdeci">void SetLastMovingPosition(uint8_t inLastPositionIndex)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00157">Accessory.cpp:157</a></div></div>
<div class="ttc" id="classAccessory_html_aa249535a3c36291764e38ab1e4ae4cee"><div class="ttname"><a href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">Accessory::GetMovingPosition</a></div><div class="ttdeci">int GetMovingPosition(unsigned long inId) const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00068">Accessory.cpp:68</a></div></div>
<div class="ttc" id="classAccessory_html_a8cfe1c1ca32753832146656755f6e7a7"><div class="ttname"><a href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">Accessory::GetDuration</a></div><div class="ttdeci">unsigned long GetDuration() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00254">Accessory.hpp:254</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a4908ded538e80f4bcf00121abc530e02"><div class="ttname"><a href="classAccessoryLightMulti.html#a4908ded538e80f4bcf00121abc530e02">AccessoryLightMulti::SetBlinking</a></div><div class="ttdeci">void SetBlinking(uint8_t inIndex, unsigned long inBlinkingDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00101">AccessoryLightMulti.hpp:101</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a8eca70cd9de57a113e4f05e19ff6f135"><div class="ttname"><a href="classAccessoryLightMulti.html#a8eca70cd9de57a113e4f05e19ff6f135">AccessoryLightMulti::Blink</a></div><div class="ttdeci">void Blink()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00093">AccessoryLightMulti.cpp:93</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a625c85995aed27f770ebeaf470e4f3d5"><div class="ttname"><a href="classAccessoryLightMulti.html#a625c85995aed27f770ebeaf470e4f3d5">AccessoryLightMulti::LightOn</a></div><div class="ttdeci">void LightOn()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00081">AccessoryLightMulti.cpp:81</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_abc2f4f0a58167b6c58528e1a28ac3fff"><div class="ttname"><a href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">AccessoryLightMulti::LightOff</a></div><div class="ttdeci">void LightOff()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00087">AccessoryLightMulti.cpp:87</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_ac4176e67ab3b73ba0e497f0afd8d37c9"><div class="ttname"><a href="classAccessoryLightMulti.html#ac4176e67ab3b73ba0e497f0afd8d37c9">AccessoryLightMulti::Event</a></div><div class="ttdeci">void Event(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00172">AccessoryLightMulti.cpp:172</a></div></div>
<div class="ttc" id="classAccessory_html_a224977dffaa54df56def6a7b15af0031"><div class="ttname"><a href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">Accessory::IndexOfMovingPosition</a></div><div class="ttdeci">uint8_t IndexOfMovingPosition(unsigned long inId) const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00059">Accessory.cpp:59</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a78bf5f84b109939af2c7c13cd51bd9d0"><div class="ttname"><a href="classAccessoryLightMulti.html#a78bf5f84b109939af2c7c13cd51bd9d0">AccessoryLightMulti::beginLight</a></div><div class="ttdeci">void beginLight(uint8_t inIndex, Port *inpPort, int inIntensity = 255)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00075">AccessoryLightMulti.cpp:75</a></div></div>
<div class="ttc" id="classAccessory_html_a57d1cb4de69eb625fc2bb82788591a22"><div class="ttname"><a href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">Accessory::AddMovingPosition</a></div><div class="ttdeci">uint8_t AddMovingPosition(unsigned long inId, int inPosition)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00049">Accessory.cpp:49</a></div></div>
<div class="ttc" id="classAccessory_html_ac4dc998e8f09ac7f94a3e06c56e8d5d4"><div class="ttname"><a href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">Accessory::GetMovingPositionSize</a></div><div class="ttdeci">const uint8_t GetMovingPositionSize() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00323">Accessory.hpp:323</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a4858bce0c40dcd22c889260fe3aef472"><div class="ttname"><a href="classAccessoryLightMulti.html#a4858bce0c40dcd22c889260fe3aef472">AccessoryLightMulti::AdjustMovingPositionBlinksSize</a></div><div class="ttdeci">void AdjustMovingPositionBlinksSize(uint8_t inNewSize)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00050">AccessoryLightMulti.cpp:50</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_acce625a2eff7f353f1eec68a05177ac0"><div class="ttname"><a href="classAccessoryBaseLight.html#acce625a2eff7f353f1eec68a05177ac0">AccessoryBaseLight::SetBlinking</a></div><div class="ttdeci">void SetBlinking(unsigned long inBlinkingDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00084">AccessoryBaseLight.hpp:84</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a9cb4fc1241f7554a65ac7f5200d64a06"><div class="ttname"><a href="classAccessoryLightMulti.html#a9cb4fc1241f7554a65ac7f5200d64a06">AccessoryLightMulti::AddMovingPosition</a></div><div class="ttdeci">unsigned char AddMovingPosition(unsigned long inId, int inOnMask, int inBlinkMask = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00066">AccessoryLightMulti.cpp:66</a></div></div>
<div class="ttc" id="classAccessory_html_a6e68b4693371383dfb026869af30d1d2"><div class="ttname"><a href="classAccessory.html#a6e68b4693371383dfb026869af30d1d2">Accessory::SetDuration</a></div><div class="ttdeci">void SetDuration(unsigned long inDuration)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00344">Accessory.hpp:344</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html"><div class="ttname"><a href="classAccessoryBaseLight.html">AccessoryBaseLight</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00026">AccessoryBaseLight.hpp:26</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a2048a93d24ba8c9ebcec76943489ea91"><div class="ttname"><a href="classAccessoryLightMulti.html#a2048a93d24ba8c9ebcec76943489ea91">AccessoryLightMulti::begin</a></div><div class="ttdeci">void begin(unsigned long inId, uint8_t inSize, unsigned long inBlinkDuration)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00032">AccessoryLightMulti.cpp:32</a></div></div>
<div class="ttc" id="classAccessory_html_ac2883977d969dcde8f078934b4a9ed12"><div class="ttname"><a href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">Accessory::GetPort</a></div><div class="ttdeci">Port * GetPort() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00185">Accessory.hpp:185</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_adc4e714b7f01c4e52fd9c43b019508c4"><div class="ttname"><a href="classAccessoryLightMulti.html#adc4e714b7f01c4e52fd9c43b019508c4">AccessoryLightMulti::AccessoryLightMulti</a></div><div class="ttdeci">AccessoryLightMulti()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00012">AccessoryLightMulti.cpp:12</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_a26c343fd849b47aea637ef7f34c3270a"><div class="ttname"><a href="classAccessoryBaseLight.html#a26c343fd849b47aea637ef7f34c3270a">AccessoryBaseLight::begin</a></div><div class="ttdeci">void begin(Port *inpPort, int inIntensity = 255, Accessory *inpOwner = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8cpp_source.html#l00062">AccessoryBaseLight.cpp:62</a></div></div>
<div class="ttc" id="Accessories_8h_html"><div class="ttname"><a href="Accessories_8h.html">Accessories.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryLightMulti.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
